server {
    listen 18080;
    server_name 0.0.0.0;
    location /download {
        alias /share/data/docker/bmc/uploadPath/image;
        autoindex on;
        autoindex_exact_size off;
    }

    location = /proxy/update {
        proxy_pass http://5.5.13.81;
        proxy_set_header   Host $host;
        proxy_set_header   X-Real-IP $remote_addr;
        proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header   X-Forwarded-Host $server_name;
        proxy_read_timeout 12h;
        proxy_send_timeout 12h;
        proxy_connect_timeout 12h;
    }
}
